apiVersion: v1
kind: Service
metadata:
  name: imedx1
  annotations:
    service.beta.kubernetes.io/external-traffic: "OnlyLocal"
  labels:
    name: imedx1
    owner: Nitichai
    version: "1.0"
    module: imedwebx
    environment: "Production"
spec:
  selector:
    name: imedx1
    owner: Nitichai
    version: "1.0"
    module: imedwebx
    environment: "Production"

# type: NodePort
  type: LoadBalancer
  externalTrafficPolicy: Local
  ports:
   - port: 80
     name: imedx1
     targetPort: 8080
     protocol: TCP
     nodePort: 31100
   - name: idoc1
     port: 4447
     targetPort: 4447
     protocol: TCP
     nodePort: 31101
   - name: noti1
     port: 5445
     targetPort: 5445
     protocol: TCP
     nodePort: 31102
  sessionAffinity: ClientIP
